Update counterparty limit
curl --request PUT \
--url https://api.sandbox.trio.com.br/banking/counterparties/{id} \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"bank_account_id": "41234d60-f6a9-4c9c-8cc3-5769ce9bb888",
"document_type": "pix",
"maximum_amount": 10
}
'import requests
url = "https://api.sandbox.trio.com.br/banking/counterparties/{id}"
payload = {
"bank_account_id": "41234d60-f6a9-4c9c-8cc3-5769ce9bb888",
"document_type": "pix",
"maximum_amount": 10
}
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({
bank_account_id: '41234d60-f6a9-4c9c-8cc3-5769ce9bb888',
document_type: 'pix',
maximum_amount: 10
})
};
fetch('https://api.sandbox.trio.com.br/banking/counterparties/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"bank_account_id": "41234d60-f6a9-4c9c-8cc3-5769ce9bb888",
"company_id": "41234d60-f6a9-4c9c-8cc3-5769ce9bb777",
"counterparty_id": "41234d60-f6a9-4c9c-8cc3-5769ce9bb999",
"document_type": "pix",
"id": "41234d60-f6a9-4c9c-8cc3-5769ce9bbea2",
"inserted_at": "2024-02-23 16:44:50.840632Z",
"maximum_amount": {
"amount": 10,
"currency": "BRL"
},
"updated_at": "2024-02-23 16:44:50.840632Z"
}
}{
"error": {
"error_code": "UNAUTHORIZED",
"error_message": "Invalid credentials"
}
}{
"error": {
"error_code": "INTEGRATION_ERROR",
"error_message": "An unexpected issue occurred"
}
}Counterparties
Update Counterparty
Update a counterparty
PUT
/
banking
/
counterparties
/
{id}
Update counterparty limit
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
Counterparty ID Unique identifier
Body
application/json
The update counterparty limit attributes
Response
CounterpartyLimits
Response to counterparty
Body params to counterparty limits
Show child attributes
Show child attributes
Example:
{
"bank_account_id": "41234d60-f6a9-4c9c-8cc3-5769ce9bb888",
"company_id": "41234d60-f6a9-4c9c-8cc3-5769ce9bb777",
"counterparty_id": "41234d60-f6a9-4c9c-8cc3-5769ce9bb999",
"document_type": "pix",
"id": "41234d60-f6a9-4c9c-8cc3-5769ce9bbea2",
"inserted_at": "2024-02-23 16:44:50.840632Z",
"maximum_amount": { "amount": 10, "currency": "BRL" },
"updated_at": "2024-02-23 16:44:50.840632Z"
}
⌘I

